# TV-to-Console

## English

Script that populates the tv program from [hoerzu-data](https://mobile.hoerzu.de/programbystation) to the console window. 

### Call in console via 

`python3 tv_program.py`
it uses the default starttime and endtime in the script and gives out tv shows starting in this timerange.

`python3 tv_program.py --start-time 23:30 --end-time 23:55`
gives out tv shows starting in the time between 11:30 pm and 11:55 pm

### Dependencies

python3

install: `apt install python3`

python3-tabulate

makes tables pretty

install: `apt install python3-tabulate`

### Credits

Inspired by Axel-Erfurt on [GitHub](https://github.com/Axel-Erfurt), Project [TV-Tagesprogramm](https://github.com/Axel-Erfurt/TV-Tagesprogramm)

---

## German

Skript, das das Fernsehprogramm mittels [Hoerzu-Daten](https://mobile.hoerzu.de/programbystation) in der Konsole ausgibt.

### Aufruf in der Konsole über

`python3 tv_program.py`
Es verwendet die im Skript angegebene Start- und Endzeit und gibt Fernsehsendungen aus, die in diesem Zeitbereich beginnen.

`python3 tv_program.py --start-time 23:30 --end-time 23:55`
gibt Fernsehsendungen aus, die in der Zeit zwischen 23:30 Uhr und 23:55 Uhr beginnen.

### Abhängigkeiten

python3

install: `apt install python3`

python3-tabulate

makes tables pretty

install: `apt install python3-tabulate`

### Credits

Inspiriert von Axel-Erfurt auf [GitHub](https://github.com/Axel-Erfurt), Projekt [TV-Tagesprogramm](https://github.com/Axel-Erfurt/TV-Tagesprogramm)